> For the complete documentation index, see [llms.txt](https://docs.sonoransoftware.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sonoransoftware.com/cms/developer-api-documentation/api-integration/api-endpoints-v2/servers/add-servers.md).

# Add Servers

<mark style="color:green;">`POST`</mark> `https://api.sonorancms.com/v2/community/servers`

> **Rate limit:** `9 requests per minute`

> Authenticated v2 endpoints are rate limited per credential rather than per IP address.

Append one or more servers to the configuration.

## Request Body

\| Name | Type | Required | Description |

\| --- | --- | --- | --- |

\| `servers` | array | Yes | See example request for the shape. |

## Example Request

{% tabs %}
{% tab title="Sonoran.lua" %}

```lua
local Sonoran = require("sonoran")

local sonoran = Sonoran.createClient({
  product = Sonoran.productEnums.CMS,
  apiKey = "YOUR_API_KEY",
  communityId = "YOUR_COMMUNITY_ID",
  defaultServerId = 1,
  timeoutMs = 30000,
})

local payload = {
  ["servers"] = {
    {
      ["id"] = 1,
      ["name"] = "Main Server",
      ["description"] = "Primary community server",
      ["ip"] = "127.0.0.1",
      ["port"] = "30120",
      ["type"] = "FiveM",
      ["erlcApiKey"] = "",
      ["robloxJoinCode"] = "ABC123",
      ["aceConfig"] = { },
      ["robloxMetadata"] = { }
    }
  }
}

local response = sonoran.cms:addServersV2(payload)

if response.success then
  print(response.data)
else
  print(response.reason)
end
```

{% endtab %}

{% tab title="Sonoran.js" %}

```javascript
const Sonoran = require("sonoran.js");

const instance = Sonoran.instance({
  apiKey: "YOUR_API_KEY",
  communityId: "YOUR_COMMUNITY_ID",
  product: Sonoran.productEnums.CMS,
  serverId: 1,
});

async function main() {
  const payload = {
  "servers": [
    {
      "id": 1,
      "name": "Main Server",
      "description": "Primary community server",
      "ip": "127.0.0.1",
      "port": "30120",
      "type": "FiveM",
      "erlcApiKey": "",
      "robloxJoinCode": "ABC123",
      "aceConfig": {},
      "robloxMetadata": {}
    }
  ]
};

  const response = await instance.cms.addServersV2(payload);

  if (response.success) {
    console.log(response.data);
  } else {
    console.error(response.reason);
  }
}

main().catch((error) => {
  console.error(error);
});
```

{% endtab %}

{% tab title="Sonoran.py" %}

```python
from sonoran import Instance, productEnums

instance = Instance(
    apiKey="YOUR_API_KEY",
    communityId="YOUR_COMMUNITY_ID",
    product=productEnums.CMS,
    serverId=1,
)

payload = {
  "servers": [
    {
      "id": 1,
      "name": "Main Server",
      "description": "Primary community server",
      "ip": "127.0.0.1",
      "port": "30120",
      "type": "FiveM",
      "erlcApiKey": "",
      "robloxJoinCode": "ABC123",
      "aceConfig": {},
      "robloxMetadata": {}
    }
  ]
}

response = instance.cms.addServersV2(payload)

if response.success:
    print(response.data)
else:
    print(response.reason)
```

{% endtab %}

{% tab title="Sonoran.Net" %}

```csharp
using Sonoran;
using System.Text.Json;

using var sonoran = new SonoranClient(new SonoranClientOptions
{
    product = SonoranProduct.CMS,
    apiKey = "YOUR_API_KEY",
    communityId = "YOUR_COMMUNITY_ID",
    defaultServerId = 1
});

var payload = new {
  servers = new[] {
    new {
      id = 1,
      name = "Main Server",
      description = "Primary community server",
      ip = "127.0.0.1",
      port = "30120",
      type = "FiveM",
      erlcApiKey = "",
      robloxJoinCode = "ABC123",
      aceConfig = new { },
      robloxMetadata = new { }
    }
  }
};

var response = await sonoran.Cms.addServersV2(payload);

if (response.success)
{
    Console.WriteLine(JsonSerializer.Serialize(response.data));
}
else
{
    Console.WriteLine(response.reason);
}
```

{% endtab %}

{% tab title="OpenAPI" %}

```yaml
openapi: "3.0.3"

info:

  title: "Sonoran CMS v2 - Add Servers"

  version: "1.0.0"

  description: "Append one or more servers to the configuration."

servers:

  -

    url: "https://api.sonorancms.com"

paths:

  /v2/community/servers:

    post:

      summary: "Add Servers"

      operationId: "addServers"

      requestBody:

        required: true

        content:

          application/json:

            schema:

              type: "object"

      security:

        -

          bearerAuth: []

      responses:

        "200":

          description: "Successful response"

          content:

            application/json:

              schema:

                type: "object"

              example:

                success: true

                data:

                  servers:

                    -

                      id: 1

                      name: "Main Server"

                      description: "Primary gameplay server"

                      ip: "127.0.0.1"

                      port: "30120"

                      typeLastUpdated: "2026-04-15T00:00:00.000Z"

                      type: "erlc"

                      robloxJoinCode: "ABCD-1234"

                      aceConfig:

                        mappings:

                          -

                            ranks:

                              - "22222222-2222-2222-2222-222222222222"

                            principal: "group:123456"

                meta:

                  timestamp: "2026-04-15T00:00:00.000Z"

                  path: "/v2/community/servers"

components:

  securitySchemes:

    bearerAuth:

      type: "http"

      scheme: "bearer"

      bearerFormat: "JWT"
```

{% endtab %}

{% tab title="cURL" %}

```bash
curl --request POST \

  --url "https://api.sonorancms.com/v2/community/servers" \

  --header "Authorization: Bearer YOUR_API_KEY" \

  --header "Accept: application/json" \

  --data '{"servers":[{"id":1,"name":"Main Server","description":"Primary community server","ip":"127.0.0.1","port":"30120","type":"FiveM","erlcApiKey":"","robloxJoinCode":"ABC123","aceConfig":{},"robloxMetadata":{}}]}'
```

{% endtab %}
{% endtabs %}

## Response

The `data` object is the community `servers` container. It exposes the server list the backend stores for the community.

```json

{

  "success": true,

  "data": {

    "servers": [

      {

        "id": 1,

        "name": "Main Server",

        "description": "Primary gameplay server",

        "ip": "127.0.0.1",

        "port": "30120",

        "typeLastUpdated": "2026-04-15T00:00:00.000Z",

        "type": "erlc",

        "robloxJoinCode": "ABCD-1234",

        "aceConfig": {

          "mappings": [

            {

              "ranks": [

                "22222222-2222-2222-2222-222222222222"

              ],

              "principal": "group:123456"

            }

          ]

        }

      }

    ]

  },

  "meta": {

    "timestamp": "2026-04-15T00:00:00.000Z",

    "path": "/v2/community/servers"

  }

}

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sonoransoftware.com/cms/developer-api-documentation/api-integration/api-endpoints-v2/servers/add-servers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
